#### D.8.1.4 GBsolve

Procedure from library `ffsolve.lib` (see ffsolve_lib).

Usage:
  GBsolve(I); I ideal
  solve I (system of multivariate equations) over an
  extension of Z/p by Groebner basis methods

Return:
  list L, the common roots of I as ideal

Assume:
  basering is a finite field of type (p^n,a)

Example:

    LIB "ffsolve.lib";
    ring R = (2,a),x(1..3),lp;
    minpoly=a2+a+1;
    ideal I;
    I[1]=x(1)^2*x(2)+(a)*x(1)*x(2)^2+(a+1);
    I[2]=x(1)^2*x(2)*x(3)^2+(a)*x(1);
    I[3]=(a+1)*x(1)*x(3)+(a+1)*x(1);
    GBsolve(I);
    ==> [1]:
    ==>    _[1]=x(3)+1
    ==>    _[2]=x(2)+(a+1)
    ==>    _[3]=x(1)+(a+1)
    ==> [2]:
    ==>    _[1]=x(3)+1
    ==>    _[2]=x(2)+(a)
    ==>    _[3]=x(1)+1

User manual for Singular version 4-0-3, 2016, generated by texi2html.